UnifAPI Docs
Xiaohongshu

List comments on a Xiaohongshu note (requires xsec_token)

GET
/xiaohongshu/notes/{id}/comments

Authorization

bearerAuth
AuthorizationBearer <token>

UnifAPI API key (forwarded verbatim as the upstream provider token).

In: header

Path Parameters

id*string
Length1 <= length

Query Parameters

cursor?string
xsec_token*string

Per-note signed token.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/xiaohongshu/notes/string/comments?xsec_token=string"
{
  "items": [
    {
      "id": "string",
      "content": "string",
      "create_time": 0,
      "like_count": 0,
      "sub_comment_count": 0,
      "user": {
        "id": "string",
        "nickname": "string",
        "avatar_url": "string"
      }
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}